Bug 907650 - bkr job-list --mine lists all jobs if authentication fails
Summary: bkr job-list --mine lists all jobs if authentication fails
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.12
Assignee: Amit Saha
QA Contact: Qixiang Wan
URL:
Whiteboard: CommandLineEnhancement
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-04 22:34 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:56:10 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2013-02-04 22:34:34 UTC
Using kerberos auth, without a ticket, bkr job-list --mine returns 78257 jobs. After kinit it returns 39.

Comment 1 Amit Saha 2013-02-20 01:36:28 UTC
(In reply to comment #0)
> Using kerberos auth, without a ticket, bkr job-list --mine returns 78257
> jobs. After kinit it returns 39.

Same for username/password authentication too.

Comment 2 Amit Saha 2013-02-20 04:35:06 UTC
On Gerrit: http://gerrit.beaker-project.org/#/c/1739/

Comment 4 Qixiang Wan 2013-03-27 08:42:32 UTC
Verified with beaker-0.11.3-1.git.210.bda2c22.

After the fix, an exception will be raised if auth fails while using '--mine' with job-list.

$ bkr job-list --mine
XML-RPC fault: <class 'bkr.common.bexceptions.BX'>:'You should be authenticated to use the --mine filter.'

Comment 5 Dan Callaghan 2013-04-11 04:56:10 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.